
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.webhook.WebhookConfigRequest;
import cn.orionsec.ops.entity.vo.webhook.WebhookConfigVO;

public interface WebhookConfigService {

    /**
     * 查询列表
     *
     * @param request request
     * @return rows
     */
    DataGrid<WebhookConfigVO> getWebhookList(WebhookConfigRequest request);

    /**
     * 获取详情
     *
     * @param id id
     * @return row
     */
    WebhookConfigVO getWebhookDetail(Long id);

    /**
     * 添加
     *
     * @param request request
     * @return id
     */
    Long addWebhook(WebhookConfigRequest request);

    /**
     * 更新
     *
     * @param request request
     * @return effect
     */
    Integer updateWebhook(WebhookConfigRequest request);

    /**
     * 通过 id 删除
     *
     * @param id id
     * @return effect
     */
    Integer deleteWebhook(Long id);

}
